cURL
curl --request POST \
--url https://app.teable.ai/api/admin/system-field-backfill/jobs \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"dryRun":false,"scope":"all","chunkSize":100,"throttleMs":10000}'const url = 'https://app.teable.ai/api/admin/system-field-backfill/jobs';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"dryRun":false,"scope":"all","chunkSize":100,"throttleMs":10000}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/admin/system-field-backfill/jobs',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({dryRun: false, scope: 'all', chunkSize: 100, throttleMs: 10000}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"dryRun\":false,\"scope\":\"all\",\"chunkSize\":100,\"throttleMs\":10000}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/admin/system-field-backfill/jobs", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"id": "<string>",
"status": "pending",
"dryRun": true,
"scope": "all",
"totals": {
"tablesScanned": 123,
"tablesAffected": 123,
"tablesFailed": 123,
"tablesSkipped": 123,
"rowsMatched": 123,
"rowsUpdated": 123
},
"checkpoint": {
"lastTableId": "<string>"
},
"events": [
{
"time": "<string>",
"level": "info",
"message": "<string>"
}
],
"error": "<string>",
"createdBy": "<string>",
"createdTime": "<string>",
"startedTime": "<string>",
"finishedTime": "<string>"
}admin
Post adminsystem field backfilljobs
Create a system field backfill job that fills NULL __last_modified_time/__last_modified_by from created values
Required token scopes: instance|update
POST
/
admin
/
system-field-backfill
/
jobs
cURL
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
application/json
Respuesta
200 - application/json
Created system field backfill job
Opciones disponibles:
pending, running, completed, completed_with_errors, failed, canceled Opciones disponibles:
all, main, byodb Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Última modificación el 15 de septiembre de 2026
¿Esta página le ayudó?

